@import url("https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap");
@import "./colors.css";

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

a {
  text-decoration: none;
}

body {
  height: 100vh;
  width: 100%;
  overflow-x: hidden;
  background-color: var(--Light-white);
  font-family: "Poppins", sans-serif;
  min-height: calc(100vh - 60px) !important;
  position: relative;
}

nav {
  background-color: var(--White);
}

nav .title {
  color: var(--Dark-blue);
  display: inline-block;
  padding: 10px;
  padding-left: 0px;
  font-size: 2.10rem;
}

nav .logo {
  margin-left: 20px;
  height: 44px;
  margin-bottom: -7px;
}

nav form {
  display: inline;
  float: right;
  padding-top: 15px;
  padding-right: 20px;
}

form .search {
  padding: 10px 15px;
  font-family: "Poppins", sans-serif;
  border: 2px solid var(--Light-white);
  font-size: 0.9rem;
}

form .search-btn {
  padding-inline: 25px;
  font-size: 0.9rem;
  font-weight: 600;
  margin-left: 5px;
  color: var(--White);
  background-color: var(--Dark-blue);
  border: 2px solid var(--Dark-blue);
  cursor: pointer;
  transition: 0.4s ease;
}

form .search-btn:hover {
  background-color: var(--White);
  color: var(--Dark-blue);
}

form .search:focus {
  outline: none !important;
  border: 2px solid var(--Dark-blue);
}

.heading {
  text-align: center;
  margin: 12px;
  font-size: 2.7rem;
}


footer {
  /* position: absolute; */
  /* bottom: 0; */
  background-color: var(--White);
  width: 100%;
  padding: 12px;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
}

footer h3 {
  margin-left: 10px;
  margin-right: 10px;
  font-size: 1rem;
  font-weight: 600;
}

/* media quires start from here */

@media only screen and (max-width: 600px) {
  nav .logo {
    height: 35px;
  }

  nav .title {
    font-size: 1.5rem;
  }

  form .search {
    padding: 5px 10px;
  }

  form .search-btn {
    padding-inline: 17px;
  }

  nav form {
    padding-top: 11px;
  }

  .heading {
    font-size: 1.80rem;
  }

  footer a h4 {
    font-size: 0.9rem;
  }

  footer h3 {
    font-size: 0.9rem;
    margin-left: 8px;
    margin-right: 8px;
  }
}

@media only screen and (max-width: 530px) {
  nav {
    display: inline-block;
    width: 100%;
  }

  nav form {
    float: none;
    display: flex;
    justify-content: center;
    gap: 6px;
    flex-wrap: wrap;
    margin-bottom: 12px;
  }

  footer {
    flex-direction: column;
    gap: 6px;
    text-align: center;
  }

  footer h3 {
    font-size: 0.8rem;
  }

  footer h3 span {
    display: none;
  }

  footer a h4 {
    font-size: 0.8rem;
  }
}